package com.pj.tb_iport_order;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import com.pj.utils.sg.*;
import com.pj.project4sp.SP;

import com.pj.current.satoken.StpUserUtil;
import cn.dev33.satoken.annotation.SaCheckPermission;


/**
 * Controller: tb_iport_order -- 进口申报单
 * @author lbl 
 */
@RestController
@RequestMapping("/TbIportOrder/")
public class TbIportOrderController {

	/** 底层 Service 对象 */
	@Autowired
	TbIportOrderService tbIportOrderService;

	/** 增 */  
	@RequestMapping("add")
	@SaCheckPermission(TbIportOrder.PERMISSION_CODE_ADD)
	public AjaxJson add(TbIportOrder t){
		tbIportOrderService.add(t);
		t = tbIportOrderService.getById(SP.publicMapper.getPrimarykey());
		return AjaxJson.getSuccessData(t);
	}

	/** 删 */  
	@RequestMapping("delete")
	@SaCheckPermission(TbIportOrder.PERMISSION_CODE_DEL)
	public AjaxJson delete(Long id){
		 tbIportOrderService.delete(id);
		return AjaxJson.getSuccess();
	}
	
	/** 删 - 根据id列表 */  
	@RequestMapping("deleteByIds")
	@SaCheckPermission(TbIportOrder.PERMISSION_CODE_DEL)
	public AjaxJson deleteByIds(){
		List<Long> ids = SoMap.getRequestSoMap().getListByComma("ids", long.class); 
		int line = SP.publicMapper.deleteByIds(TbIportOrder.TABLE_NAME, ids);
		return AjaxJson.getByLine(line);
	}
	
	/** 改 */  
	@RequestMapping("update")
	@SaCheckPermission(TbIportOrder.PERMISSION_CODE_EDIT)
	public AjaxJson update(TbIportOrder t){
		tbIportOrderService.update(t);
		return AjaxJson.getSuccess();
	}

	/** 查 - 根据id */  
	@RequestMapping("getById")
		@SaCheckPermission(TbIportOrder.PERMISSION_CODE)
	public AjaxJson getById(Long id){
		TbIportOrder t = tbIportOrderService.getById(id);
		return AjaxJson.getSuccessData(t);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	@RequestMapping("getList")
		@SaCheckPermission(TbIportOrder.PERMISSION_CODE)
	public AjaxJson getList() { 
		SoMap so = SoMap.getRequestSoMap();
		List<TbIportOrder> list = tbIportOrderService.getList(so.startPage());
		return AjaxJson.getPageData(so.getDataCount(), list);
	}
	
	
	
	

	
	
	

}
